Debian Bug report logs - #594479
when lilo.conf missing and grub in use, postinstall kernel pkg fails

version graph

Package: lilo; Maintainer for lilo is Joachim Wiedorn <ad_debian@joonet.de>; Source for lilo is src:lilo.

Reported by: Moshe Yudkowsky <moshe@pobox.com>

Date: Thu, 26 Aug 2010 09:45:08 UTC

Severity: serious

Tags: sid

Found in version lilo/1:22.8-8.2

Fixed in version lilo/1:22.8-8.3

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#594479; Package lilo. (Thu, 26 Aug 2010 09:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moshe Yudkowsky <moshe@pobox.com>:
New Bug report received and forwarded. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Thu, 26 Aug 2010 09:45:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moshe Yudkowsky <moshe@pobox.com>
To: submit@bugs.debian.org
Subject: when lilo.conf missing and grub in use, postinstall kernel pkg fails
Date: Thu, 26 Aug 2010 04:43:10 -0500
Package: lilo
Version: 1:22.8-8.2
Justification: breaks unrelated software
Severity: critical
Tags: sid

The lilo package is installed but /etc/lilo.conf is missing; at present 
I use grub.

In the latest update of lilo, I can no longer install kernel updates, as 
seen in the following output:

Setting up linux-image-2.6.32-5-amd64 (2.6.32-21) ...
Running depmod.
Running update-initramfs.
update-initramfs: Generating /boot/initrd.img-2.6.32-5-amd64
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 2.6.32-5-amd64 
/boot/vmlinuz-2.6.32-5-amd64
dkms: running auto installation service for kernel 2.6.32-5-amd64:
      nvidia (195.36.31)...done.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 
2.6.32-5-amd64 /boot/vmlinuz-2.6.32-5-amd64
run-parts: executing /etc/kernel/postinst.d/pm-utils 2.6.32-5-amd64 
/boot/vmlinuz-2.6.32-5-amd64
run-parts: executing /etc/kernel/postinst.d/update-notifier 
2.6.32-5-amd64 /boot/vmlinuz-2.6.32-5-amd64
run-parts: executing /etc/kernel/postinst.d/zz-lilo 2.6.32-5-amd64 
/boot/vmlinuz-2.6.32-5-amd64
Fatal: Cannot open: /etc/lilo.conf
run-parts: /etc/kernel/postinst.d/zz-lilo exited with return code 1

I see from the changelog that /etc/kernel/postinst.d/zz-lilo is a recent 
addition. AFAICT, there's no /etc/kernel policy that selects between 
grub and lilo, so I'm not certain how to resolve this problem -- how to 
leave both packages installed.

I should also mention that as far as I can recall, this same lilo update 
removed /etc/lilo.conf -- I recall reading a message.

Please let me know if you require additional information.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 
'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lilo depends on:
ii  debconf [debconf-2.0]        1.5.35      Debian configuration 
management sy
ii  libc6                        2.11.2-2    Embedded GNU C Library: 
Shared lib
ii  libdevmapper1.02.1           2:1.02.48-3 The Linux Kernel Device 
Mapper use
ii  mbr                          1.1.10-2    Master Boot Record for 
IBM-PC comp

lilo recommends no packages.

Versions of packages lilo suggests:
pn  lilo-doc                      <none>     (no description available)

-- debconf information:
  liloconfig/fstab_broken:
  liloconfig/banner:
  liloconfig/use_lba32: true
  liloconfig/configuring_base:
  lilo/runme: false
  liloconfig/wipe_old_liloconf: false
  liloconfig/activate_error:
* lilo/new-config:
  liloconfig/maintitle:
  liloconfig/mbr_error:
  liloconfig/lilo_warning:
  liloconfig/no_changes:
  lilo/add_large_memory: true
  liloconfig/liloconf_incompatible:
  lilo/bad_bitmap:
  lilo/upgrade:
  liloconfig/liloconf_exists:
  liloconfig/use_current_lilo: true
  liloconfig/instruction:
  liloconfig/select_bitmap: /boot/coffee.bmp
  liloconfig/lilo_error:
  liloconfig/odd_fstab:
  liloconfig/install_from_root_device: true
  liloconfig/make_active_partition: true
  liloconfig/install_mbr: false

-- 
Moshe Yudkowsky * moshe@pobox.com * www.pobox.com/~moshe
 "Morality is alright, but what about dividends?"
                                   --  Kaiser Willhem II ("The Sudden")




Severity set to 'serious' from 'critical' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 28 Aug 2010 02:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#594479; Package lilo. (Sat, 28 Aug 2010 03:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sat, 28 Aug 2010 03:00:03 GMT) Full text and rfc822 format available.

Message #12 received at 594479@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Moshe Yudkowsky <moshe@pobox.com>
Cc: submit@bugs.debian.org
Subject: Re: when lilo.conf missing and grub in use, postinstall kernel pkg fails
Date: Sat, 28 Aug 2010 03:55:57 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2010-08-26 at 04:43 -0500, Moshe Yudkowsky wrote:
> Package: lilo
> Version: 1:22.8-8.2
> Justification: breaks unrelated software

The kernel is most certainly not 'unrelated' to lilo.

> Severity: critical
> Tags: sid
> 
> The lilo package is installed but /etc/lilo.conf is missing; at present 
> I use grub.
> 
> In the latest update of lilo, I can no longer install kernel updates, as 
> seen in the following output:

This is ultimately a bug in the new policy for boot loaders.  I didn't
consider (and no-one pointed out) that a boot loader package might be
installed even though the boot loader is not installed.

This will be fixed.

[...]
> I should also mention that as far as I can recall, this same lilo update 
> removed /etc/lilo.conf -- I recall reading a message.
[...]

It's not supposed to do this; I think you must be mistaken.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#594479; Package lilo. (Sat, 28 Aug 2010 03:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sat, 28 Aug 2010 03:24:03 GMT) Full text and rfc822 format available.

Message #17 received at 594479@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 594479@bugs.debian.org
Subject: NMU diff for lilo 22.8-8.3
Date: Sat, 28 Aug 2010 04:20:10 +0100
[Message part 1 (text/plain, inline)]
diff -u lilo-22.8/debian/lilo.kernel-postrm lilo-22.8/debian/lilo.kernel-postrm
--- lilo-22.8/debian/lilo.kernel-postrm
+++ lilo-22.8/debian/lilo.kernel-postrm
@@ -2,2 +2,4 @@
-# Do not abort kernel removal in case of error
-lilo </dev/null >&2 || true
+if [ -e /etc/lilo.conf ]; then
+    # Do not abort kernel removal in case of error
+    lilo </dev/null >&2 || true
+fi
diff -u lilo-22.8/debian/lilo.kernel-postinst lilo-22.8/debian/lilo.kernel-postinst
--- lilo-22.8/debian/lilo.kernel-postinst
+++ lilo-22.8/debian/lilo.kernel-postinst
@@ -2 +2,5 @@
-lilo </dev/null >&2
+if [ -e /etc/lilo.conf ]; then
+    lilo </dev/null >&2
+else
+    echo >&2 "Warning: Not updating LILO; /etc/lilo.conf not found"
+fi
diff -u lilo-22.8/debian/lilo.initramfs-post-update lilo-22.8/debian/lilo.initramfs-post-update
--- lilo-22.8/debian/lilo.initramfs-post-update
+++ lilo-22.8/debian/lilo.initramfs-post-update
@@ -7,5 +7,9 @@
 	;;
     *)
-	lilo </dev/null >&2
+	if [ -e /etc/lilo.conf ]; then
+	    lilo </dev/null >&2
+	else
+	    echo >&2 "Warning: Not updating LILO; /etc/lilo.conf not found"
+	fi
 	;;
 esac
diff -u lilo-22.8/debian/changelog lilo-22.8/debian/changelog
--- lilo-22.8/debian/changelog
+++ lilo-22.8/debian/changelog
@@ -1,3 +1,11 @@
+lilo (1:22.8-8.3) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * Change kernel and initramfs hook scripts to do nothing if lilo.conf
+    does not exist (Closes: #594479)
+
+ -- Ben Hutchings <ben@decadent.org.uk>  Sat, 28 Aug 2010 03:10:47 +0100
+
 lilo (1:22.8-8.2) unstable; urgency=high
 
   * Non-maintainer upload.
--- END ---

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 28 Aug 2010 03:24:05 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sat, 28 Aug 2010 03:36:03 GMT) Full text and rfc822 format available.

Notification sent to Moshe Yudkowsky <moshe@pobox.com>:
Bug acknowledged by developer. (Sat, 28 Aug 2010 03:36:03 GMT) Full text and rfc822 format available.

Message #24 received at 594479-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 594479-close@bugs.debian.org
Subject: Bug#594479: fixed in lilo 1:22.8-8.3
Date: Sat, 28 Aug 2010 03:32:08 +0000
Source: lilo
Source-Version: 1:22.8-8.3

We believe that the bug you reported is fixed in the latest version of
lilo, which is due to be installed in the Debian FTP archive:

lilo-doc_22.8-8.3_all.deb
  to main/l/lilo/lilo-doc_22.8-8.3_all.deb
lilo_22.8-8.3.diff.gz
  to main/l/lilo/lilo_22.8-8.3.diff.gz
lilo_22.8-8.3.dsc
  to main/l/lilo/lilo_22.8-8.3.dsc
lilo_22.8-8.3_i386.deb
  to main/l/lilo/lilo_22.8-8.3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594479@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated lilo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 28 Aug 2010 03:10:47 +0100
Source: lilo
Binary: lilo lilo-doc
Architecture: all i386 source
Version: 1:22.8-8.3
Distribution: unstable
Urgency: high
Maintainer: William Pitcock <nenolod@dereferenced.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 594479
Description: 
 lilo-doc   - Documentation for LILO (LInux LOader)
 lilo       - LInux LOader - The Classic OS loader can load Linux and others
Changes: 
 lilo (1:22.8-8.3) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Change kernel and initramfs hook scripts to do nothing if lilo.conf
     does not exist (Closes: #594479)
Checksums-Sha1: 
 64b5ef3f51b3e1ab9762168bc3a47f1c121e4056 1892 lilo_22.8-8.3.dsc
 c173586b90f97683d5ba4a7997726ff11aa914fa 238823 lilo_22.8-8.3.diff.gz
 58d3404038be20b6ffba4b1405ba4a8e277bf237 391276 lilo_22.8-8.3_i386.deb
 ead0ee76711b14172a7739456b6c2aa3d03aef45 557722 lilo-doc_22.8-8.3_all.deb
Checksums-Sha256: 
 f0c1b8ba3b954f401f782cb34241ea245a0cfad3d10183c70ba11d2a7724d9d8 1892 lilo_22.8-8.3.dsc
 0e7370ed1e6c79f399bf630460f4da13c2d9b59da775811c64eac7dd0c388bf4 238823 lilo_22.8-8.3.diff.gz
 7eab18db29ba3cd9f75ea2aa6116d324131d44c112497b60b0e92f6a80698370 391276 lilo_22.8-8.3_i386.deb
 1156ac78151d194363442b7c324cf02fce45b9af7f3563b16d04274300e1d5f4 557722 lilo-doc_22.8-8.3_all.deb
Files: 
 8569e78524afd1bac56d1fcbccb6c621 1892 admin optional lilo_22.8-8.3.dsc
 57462b3ad45b0eb585cbb451ac8e7538 238823 admin optional lilo_22.8-8.3.diff.gz
 c839471fa1d43be3f279d05905252e54 391276 admin optional lilo_22.8-8.3_i386.deb
 c2a7e54f3f93ce9312c540184f851cbe 557722 doc optional lilo-doc_22.8-8.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTHiAB+e/yOyVhhEJAQrP8BAAnSMVYZOeyLTBs4tuAOKZgGfY6acqxmrG
DZ2BSdd1B7vGputgQkR0OmfvYSV1LI5AG+lfIHPNIdUyvECVxBHokVDwPxb6tyhm
ox8E8LzgA9KXjv/8icU4tiNGKIESWpesf4mJ7WsuJXS6XAxUVa6QZWDD3BIqObfv
UCT5RaiYxK9BsmofCj5fMS0QnlSiWu5Zks4beofh+nhR8RvGu0CsRkYZlSBXvXF1
Uo0qt9bQW80VoCjgls9dckhzeDeNMxW3XkYYLXruJePL8lhuEEOzn4PcsgMko6fm
ZAItYpwvixcnl7m3kmbFsugEWZHAB6GtoweToNVqe2GzhKPu7qHvHl8FZYGfVjiM
iYkfpTGerivEPYKW4ybLi9Uwwf/9eoQMaqTFC9Mf1UfblO7YKGT7yB2GuYAbn3yG
Qy/Rsmoyf4rjsUFQR7m7CR8Vsodj2rUYoZxx3qRI5ogmJs7PZoixpTzC1Xq2Kqc4
eCaOhdXamb8xdFbGfZlb9I7UoqDEGeYaiEA5wnL0KSKu3XYE2yuYXTZTaU8E311T
3sDwr8spClMZwk8XplwGJSWV526sZZhi4xbkd+ivn+FCNchT1HbztftTjNz5cIwk
1ATlsXprX9W9Y5Dd5rWD6cv0uH84ehOPCmGPnLEdmhJryTBkKE3QeVyy/R7c5Slk
iqa/TbMj9gk=
=cv0t
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#594479; Package lilo. (Sun, 29 Aug 2010 04:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moshe Yudkowsky <moshe@pobox.com>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 29 Aug 2010 04:18:03 GMT) Full text and rfc822 format available.

Message #29 received at 594479@bugs.debian.org (full text, mbox):

From: Moshe Yudkowsky <moshe@pobox.com>
To: ben@decadent.org.uk, 594479@bugs.debian.org
Subject: Re: when lilo.conf missing and grub in use, postinstall kernel pkg fails
Date: Sat, 28 Aug 2010 23:14:46 -0500
Ben,

Thank you for your attention to this bug.

I have to wonder: let's say I have both grub and lilo packages, and I 
have in the past used one or the other... how will this new policy play 
out? I'd think that I'd have to make a choice in /etc/alternate, or dpkg 
configure, rather than have the loaders battle it out.


`

-- 
Moshe Yudkowsky * moshe@pobox.com * www.pobox.com/~moshe




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#594479; Package lilo. (Sun, 29 Aug 2010 12:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 29 Aug 2010 12:30:03 GMT) Full text and rfc822 format available.

Message #34 received at 594479@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Moshe Yudkowsky <moshe@pobox.com>
Cc: 594479@bugs.debian.org
Subject: Re: when lilo.conf missing and grub in use, postinstall kernel pkg fails
Date: Sun, 29 Aug 2010 13:27:40 +0100
On Sat, Aug 28, 2010 at 11:14:46PM -0500, Moshe Yudkowsky wrote:
> Ben,
>
> Thank you for your attention to this bug.
>
> I have to wonder: let's say I have both grub and lilo packages, and I  
> have in the past used one or the other... how will this new policy play  
> out? I'd think that I'd have to make a choice in /etc/alternate, or dpkg  
> configure, rather than have the loaders battle it out.

I met Colin Watson last night and he said that he (as GRUB maintainer)
and Daniel Baumann (as syslinux maintainer) had discussed doing something
like this.  I hope that for the release after 'squeeze' we will have a
proper policy for this.

Right now, to disable LILO you must remove its configuration file
/etc/lilo.conf.  For GRUB there isn't such an issue because it doesn't
need to write to the boot sector after its configuration is updated.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Sep 2010 07:37:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:18:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.